package com.cpxt.biz.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cpxt.common.annotation.Excel;
import com.cpxt.common.core.domain.BaseEntity;

/**
 * 车辆轨迹对象 track_temp
 *
 * @author YIN
 * @date 2024-12-18
 */
public class TrackTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 车辆ID */
    @Excel(name = "车辆ID")
    private Long carId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNo;

    /** 定位设备ID */
    @Excel(name = "定位设备ID")
    private String vin;

    /** 真实车牌号 */
    @Excel(name = "真实车牌号")
    private String vehicleNo;

    /** 系统中使用车牌号 */
    @Excel(name = "系统中使用车牌号")
    private String regName;

    /** 定位时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "定位时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date gpsTime;

    /** 速度 */
    @Excel(name = "速度")
    private Long speed;

    /** 里程 */
    @Excel(name = "里程")
    private BigDecimal odometer;

    /** 纬度（WGS-84坐标系） */
    @Excel(name = "纬度", readConverterExp = "W=GS-84坐标系")
    private BigDecimal lat;

    /** 经度（WGS-84坐标系） */
    @Excel(name = "经度", readConverterExp = "W=GS-84坐标系")
    private BigDecimal lon;

    /** 车头方向0-360 0正北 顺时针递加 */
    @Excel(name = "车头方向0-360 0正北 顺时针递加")
    private Integer direction;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 车辆位置 */
    @Excel(name = "车辆位置")
    private String placeName;

    /** 省 */
    @Excel(name = "省")
    private String provice;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String district;

    /** 路名信息 */
    @Excel(name = "路名信息")
    private String roadName;

    /** 温度 */
    @Excel(name = "温度")
    private String t1;

    /** 温度 */
    @Excel(name = "温度")
    private String t2;

    /** 温度 */
    @Excel(name = "温度")
    private String t3;

    /** 温度 */
    @Excel(name = "温度")
    private String t4;

    /** 温度 */
    @Excel(name = "温度")
    private String t5;

    /** 温度 */
    @Excel(name = "温度")
    private String t6;

    /** 温度 */
    @Excel(name = "温度")
    private String t7;

    /** 温度 */
    @Excel(name = "温度")
    private String t8;

    /** 纬度2 */
    @Excel(name = "纬度2")
    private BigDecimal lat02;

    /** 经度2 */
    @Excel(name = "经度2")
    private BigDecimal lon02;

    /** 地标名称 */
    @Excel(name = "地标名称")
    private String areaName;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time1;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time2;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time3;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time4;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time5;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time6;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time7;

    /** 温度采集时间 */
    @Excel(name = "温度采集时间")
    private String time8;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h1;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h2;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h3;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h4;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h5;

    /** 温度 */
    @Excel(name = "温度")
    private String h6;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h7;

    /** 湿度 */
    @Excel(name = "湿度")
    private String h8;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht1;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht2;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht3;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht4;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht5;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht6;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht7;

    /** 湿度采集时间 */
    @Excel(name = "湿度采集时间")
    private String ht8;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceTypeStr;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String equipCode;

    /** 当前油量 */
    @Excel(name = "当前油量")
    private String oil;

    /** 海拔高度 单位米 */
    @Excel(name = "海拔高度 单位米")
    private Long height;

    /** 停车时长 单位秒 */
    @Excel(name = "停车时长 单位秒")
    private Integer stopSec;

    /** ACC状态 0无 1关 2开 */
    @Excel(name = "ACC状态 0无 1关 2开")
    private Integer acc;

    /** 油量欧姆值 */
    @Excel(name = "油量欧姆值")
    private String ohm;

    /** 当前ACC状态 */
    @Excel(name = "当前ACC状态")
    private Integer curAccSta;

    /** 中心识别码 */
    @Excel(name = "中心识别码")
    private String commIds;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCarId(Long carId)
    {
        this.carId = carId;
    }

    public Long getCarId()
    {
        return carId;
    }
    public void setCarNo(String carNo)
    {
        this.carNo = carNo;
    }

    public String getCarNo()
    {
        return carNo;
    }
    public void setVin(String vin)
    {
        this.vin = vin;
    }

    public String getVin()
    {
        return vin;
    }
    public void setVehicleNo(String vehicleNo)
    {
        this.vehicleNo = vehicleNo;
    }

    public String getVehicleNo()
    {
        return vehicleNo;
    }
    public void setRegName(String regName)
    {
        this.regName = regName;
    }

    public String getRegName()
    {
        return regName;
    }
    public void setGpsTime(Date gpsTime)
    {
        this.gpsTime = gpsTime;
    }

    public Date getGpsTime()
    {
        return gpsTime;
    }
    public void setSpeed(Long speed)
    {
        this.speed = speed;
    }

    public Long getSpeed()
    {
        return speed;
    }
    public void setOdometer(BigDecimal odometer)
    {
        this.odometer = odometer;
    }

    public BigDecimal getOdometer()
    {
        return odometer;
    }
    public void setLat(BigDecimal lat)
    {
        this.lat = lat;
    }

    public BigDecimal getLat()
    {
        return lat;
    }
    public void setLon(BigDecimal lon)
    {
        this.lon = lon;
    }

    public BigDecimal getLon()
    {
        return lon;
    }
    public void setDirection(Integer direction)
    {
        this.direction = direction;
    }

    public Integer getDirection()
    {
        return direction;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setPlaceName(String placeName)
    {
        this.placeName = placeName;
    }

    public String getPlaceName()
    {
        return placeName;
    }
    public void setProvice(String provice)
    {
        this.provice = provice;
    }

    public String getProvice()
    {
        return provice;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setDistrict(String district)
    {
        this.district = district;
    }

    public String getDistrict()
    {
        return district;
    }
    public void setRoadName(String roadName)
    {
        this.roadName = roadName;
    }

    public String getRoadName()
    {
        return roadName;
    }
    public void setT1(String t1)
    {
        this.t1 = t1;
    }

    public String getT1()
    {
        return t1;
    }
    public void setT2(String t2)
    {
        this.t2 = t2;
    }

    public String getT2()
    {
        return t2;
    }
    public void setT3(String t3)
    {
        this.t3 = t3;
    }

    public String getT3()
    {
        return t3;
    }
    public void setT4(String t4)
    {
        this.t4 = t4;
    }

    public String getT4()
    {
        return t4;
    }
    public void setT5(String t5)
    {
        this.t5 = t5;
    }

    public String getT5()
    {
        return t5;
    }
    public void setT6(String t6)
    {
        this.t6 = t6;
    }

    public String getT6()
    {
        return t6;
    }
    public void setT7(String t7)
    {
        this.t7 = t7;
    }

    public String getT7()
    {
        return t7;
    }
    public void setT8(String t8)
    {
        this.t8 = t8;
    }

    public String getT8()
    {
        return t8;
    }
    public void setLat02(BigDecimal lat02)
    {
        this.lat02 = lat02;
    }

    public BigDecimal getLat02()
    {
        return lat02;
    }
    public void setLon02(BigDecimal lon02)
    {
        this.lon02 = lon02;
    }

    public BigDecimal getLon02()
    {
        return lon02;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setTime1(String time1)
    {
        this.time1 = time1;
    }

    public String getTime1()
    {
        return time1;
    }
    public void setTime2(String time2)
    {
        this.time2 = time2;
    }

    public String getTime2()
    {
        return time2;
    }
    public void setTime3(String time3)
    {
        this.time3 = time3;
    }

    public String getTime3()
    {
        return time3;
    }
    public void setTime4(String time4)
    {
        this.time4 = time4;
    }

    public String getTime4()
    {
        return time4;
    }
    public void setTime5(String time5)
    {
        this.time5 = time5;
    }

    public String getTime5()
    {
        return time5;
    }
    public void setTime6(String time6)
    {
        this.time6 = time6;
    }

    public String getTime6()
    {
        return time6;
    }
    public void setTime7(String time7)
    {
        this.time7 = time7;
    }

    public String getTime7()
    {
        return time7;
    }
    public void setTime8(String time8)
    {
        this.time8 = time8;
    }

    public String getTime8()
    {
        return time8;
    }
    public void setH1(String h1)
    {
        this.h1 = h1;
    }

    public String getH1()
    {
        return h1;
    }
    public void setH2(String h2)
    {
        this.h2 = h2;
    }

    public String getH2()
    {
        return h2;
    }
    public void setH3(String h3)
    {
        this.h3 = h3;
    }

    public String getH3()
    {
        return h3;
    }
    public void setH4(String h4)
    {
        this.h4 = h4;
    }

    public String getH4()
    {
        return h4;
    }
    public void setH5(String h5)
    {
        this.h5 = h5;
    }

    public String getH5()
    {
        return h5;
    }
    public void setH6(String h6)
    {
        this.h6 = h6;
    }

    public String getH6()
    {
        return h6;
    }
    public void setH7(String h7)
    {
        this.h7 = h7;
    }

    public String getH7()
    {
        return h7;
    }
    public void setH8(String h8)
    {
        this.h8 = h8;
    }

    public String getH8()
    {
        return h8;
    }
    public void setHt1(String ht1)
    {
        this.ht1 = ht1;
    }

    public String getHt1()
    {
        return ht1;
    }
    public void setHt2(String ht2)
    {
        this.ht2 = ht2;
    }

    public String getHt2()
    {
        return ht2;
    }
    public void setHt3(String ht3)
    {
        this.ht3 = ht3;
    }

    public String getHt3()
    {
        return ht3;
    }
    public void setHt4(String ht4)
    {
        this.ht4 = ht4;
    }

    public String getHt4()
    {
        return ht4;
    }
    public void setHt5(String ht5)
    {
        this.ht5 = ht5;
    }

    public String getHt5()
    {
        return ht5;
    }
    public void setHt6(String ht6)
    {
        this.ht6 = ht6;
    }

    public String getHt6()
    {
        return ht6;
    }
    public void setHt7(String ht7)
    {
        this.ht7 = ht7;
    }

    public String getHt7()
    {
        return ht7;
    }
    public void setHt8(String ht8)
    {
        this.ht8 = ht8;
    }

    public String getHt8()
    {
        return ht8;
    }
    public void setDeviceTypeStr(String deviceTypeStr)
    {
        this.deviceTypeStr = deviceTypeStr;
    }

    public String getDeviceTypeStr()
    {
        return deviceTypeStr;
    }
    public void setEquipCode(String equipCode)
    {
        this.equipCode = equipCode;
    }

    public String getEquipCode()
    {
        return equipCode;
    }
    public void setOil(String oil)
    {
        this.oil = oil;
    }

    public String getOil()
    {
        return oil;
    }
    public void setHeight(Long height)
    {
        this.height = height;
    }

    public Long getHeight()
    {
        return height;
    }
    public void setStopSec(Integer stopSec)
    {
        this.stopSec = stopSec;
    }

    public Integer getStopSec()
    {
        return stopSec;
    }
    public void setAcc(Integer acc)
    {
        this.acc = acc;
    }

    public Integer getAcc()
    {
        return acc;
    }
    public void setOhm(String ohm)
    {
        this.ohm = ohm;
    }

    public String getOhm()
    {
        return ohm;
    }
    public void setCurAccSta(Integer curAccSta)
    {
        this.curAccSta = curAccSta;
    }

    public Integer getCurAccSta()
    {
        return curAccSta;
    }
    public void setCommIds(String commIds)
    {
        this.commIds = commIds;
    }

    public String getCommIds()
    {
        return commIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("carId", getCarId())
                .append("carNo", getCarNo())
                .append("vin", getVin())
                .append("vehicleNo", getVehicleNo())
                .append("regName", getRegName())
                .append("gpsTime", getGpsTime())
                .append("speed", getSpeed())
                .append("odometer", getOdometer())
                .append("lat", getLat())
                .append("lon", getLon())
                .append("direction", getDirection())
                .append("status", getStatus())
                .append("placeName", getPlaceName())
                .append("provice", getProvice())
                .append("city", getCity())
                .append("district", getDistrict())
                .append("roadName", getRoadName())
                .append("t1", getT1())
                .append("t2", getT2())
                .append("t3", getT3())
                .append("t4", getT4())
                .append("t5", getT5())
                .append("t6", getT6())
                .append("t7", getT7())
                .append("t8", getT8())
                .append("lat02", getLat02())
                .append("lon02", getLon02())
                .append("areaName", getAreaName())
                .append("time1", getTime1())
                .append("time2", getTime2())
                .append("time3", getTime3())
                .append("time4", getTime4())
                .append("time5", getTime5())
                .append("time6", getTime6())
                .append("time7", getTime7())
                .append("time8", getTime8())
                .append("h1", getH1())
                .append("h2", getH2())
                .append("h3", getH3())
                .append("h4", getH4())
                .append("h5", getH5())
                .append("h6", getH6())
                .append("h7", getH7())
                .append("h8", getH8())
                .append("ht1", getHt1())
                .append("ht2", getHt2())
                .append("ht3", getHt3())
                .append("ht4", getHt4())
                .append("ht5", getHt5())
                .append("ht6", getHt6())
                .append("ht7", getHt7())
                .append("ht8", getHt8())
                .append("deviceTypeStr", getDeviceTypeStr())
                .append("equipCode", getEquipCode())
                .append("oil", getOil())
                .append("height", getHeight())
                .append("stopSec", getStopSec())
                .append("acc", getAcc())
                .append("ohm", getOhm())
                .append("curAccSta", getCurAccSta())
                .append("commIds", getCommIds())
                .append("createTime", getCreateTime())
                .toString();
    }
}
